PCAP_LIST_DATALINKS(3) |  | PCAP_LIST_DATALINKS(3)

# NAME

pcap_list_datalinks - get a list of link-layer header types supported by a capture device

# SYNOPSIS

#include <pcap/pcap.h>

int pcap_list_datalinks(pcap_t *p, int **dlt_buf);

# DESCRIPTION

pcap_list_datalinks() is used to get a list of the supported data link types of the interface associated with the pcap descriptor. pcap_list_datalinks() allocates an array to hold the list and sets *dlt_buf. The caller is responsible for freeing the array with pcap_free_datalinks(3).

# RETURN VALUE

pcap_list_datalinks() returns the number of data link types in the array on success and -1 on failure. If -1 is returned, pcap_geterr() or pcap_perror() may be called with p as an argument to fetch or display the error text.

# SEE ALSO

pcap(3), pcap_geterr(3), pcap_free_datalinks(3), pcap-linktype(7)

5 April 2008 |